Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms
Class QueryKeyBinding

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.xkms.AbstractKeyBinding
oracle.security.xmlsec.xkms.QueryKeyBinding`

public class QueryKeyBinding
extends AbstractKeyBinding

Represents the XKMS `QueryKeyBinding` element for use with requests and responses.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`QueryKeyBinding(org.w3c.dom.Document owner)` Creates a new `QueryKeyBinding` instance.
`QueryKeyBinding(org.w3c.dom.Document owner, java.lang.String systemId)` Creates a new `QueryKeyBinding` instance.
`QueryKeyBinding(org.w3c.dom.Element element)` Creates a new `QueryKeyBinding` instance from the given Element node.

Method Summary
`java.util.Date` | `getTimeInstant()` Returns the `Time` attribute value of the `TimeInstant` element for this `QueryKeyBinding`.
`void` | `setTimeInstant(java.util.Date currentTime)` Sets the time instant for this key binding query.

Methods inherited from class oracle.security.xmlsec.xkms.AbstractKeyBinding
`addKeyUsage, addUseKeyWith, getID, getKeyInfo, getKeyUsages, getUseKeyWithApplications, getUseKeyWithIdentifiers, setID, setKeyInfo`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryKeyBinding

    public QueryKeyBinding(org.w3c.dom.Element element)
                    throws org.w3c.dom.DOMException

  Creates a new `QueryKeyBinding` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XKMS QueryKeyBinding schema.
Throws:
  `org.w3c.dom.DOMException`

### QueryKeyBinding

    public QueryKeyBinding(org.w3c.dom.Document owner)
                    throws org.w3c.dom.DOMException

  Creates a new `QueryKeyBinding` instance.
Parameters:
  `owner` - The owner document of the new `QueryKeyBinding`.
Throws:
  `org.w3c.dom.DOMException`

### QueryKeyBinding

    public QueryKeyBinding(org.w3c.dom.Document owner,
                           java.lang.String systemId)
                    throws org.w3c.dom.DOMException

  Creates a new `QueryKeyBinding` instance.
Parameters:
  `owner` - The owner document of the new `QueryKeyBinding`.
  `systemId` - The URI string system ID for the `Message`..
Throws:
  `org.w3c.dom.DOMException`

Method Detail

### setTimeInstant

    public void setTimeInstant(java.util.Date currentTime)
                        throws org.w3c.dom.DOMException

  Sets the time instant for this key binding query.
  Parameters:
    `currentTime` - The current time instant.
  Throws:
    `org.w3c.dom.DOMException`

### getTimeInstant

    public java.util.Date getTimeInstant()

  Returns the `Time` attribute value of the `TimeInstant` element for this `QueryKeyBinding`.
  Returns:
    The `Time` date or `null` if none is present.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.